<?php
// +-----------------------------------------------------------------------+
// | Web services statistics - a PWG Plugin                                |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('ws_invoke_allowed', 'wsstats_ws_invoke_allowed', 0 /* EVENT_HANDLER_PRIORITY_FIRST */, 3);

function wsstats_ws_invoke_allowed($res, $methodName, $params)
{
  global $page;

  $wsstats_infos = array();

  foreach (array('cat_id', 'image_id') as $e)
  {
    if (isset($params[$e]))
    {
      if (is_array($params[$e]))
      {
        $wsstats_infos[$e] = reset($params[$e]);
      }
      else
      {
        $wsstats_infos[$e] = $params[$e];
      }
    }
  }

  $page['section'] = 'web_services';
  if (isset($wsstats_infos['cat_id']))
  {
    $page['category']['id'] = $wsstats_infos['cat_id'];
  }

  if (isset($wsstats_infos['image_id']))
  {
    $image_id = $wsstats_infos['image_id'];
  }
  else
  {
    $image_id = null;
  }

  pwg_log($image_id, 'other');

  return $res;
}


?>
